package model

import "gorm.io/gorm"

type Bucket struct {
	gorm.Model
	Name    string `gorm:"uniqueIndex"`
	Objects []Object
}

type Object struct {
	gorm.Model
	Name     string `gorm:"uniqueIndex"`
	Size     uint
	BucketId uint
}
